Keeping ECB Online Banking Secure.

At The Eastern Colorado Bank, we are dedicated to keeping your information safe by using the
latest security technology. For that reason, we will be upgrading our TLS security in order to 
better serve our customers.

Transport Layer Security (TLS) provides a key security component regarding privacy and data 
integrity for internet browsers. TLS 1.2 is the most current version, and is considered to be the 
most secure. Any version below TLS 1.2 is considered less secure, thereby presenting a risk to your 
data.

Our online banking applications strive to provide a secure gateway for your financial information. 
As of the end of June, in order to be able to access our online banking or use our mobile app, you 
must be using TLS 1.2 on your device. If you are using the most up-to-date version of your chosen 
operating system or browser, this update will not affect you. However, if you are unable to log in, 
you may need to update your device or your browser in order to access Online Banking.

Mobile Requirements:

iPhone:
•     iOS 8 or higher.
•     Mobile Safari 5 or higher.

Android:
•     KitKat 4.4.4 or higher.
Desktop Requirements:

Operating Systems:
•     Microsoft Windows 7, 8.0, 8.1 and 10.
•     OS X Maverick 10.9 and higher

Internet Browsers:
•     Microsoft Edge.
•     Internet Explorer 11.
•     Internet Explorer 9 and 10 (when run in Windows 7)
•     Firefox 27 and higher.
•     Google Chrome 38 and higher.
•     Safari 7.0 and higher.